let currentlyInTransaction = false;

function setCurrentlyInTransaction(state: boolean) {
    currentlyInTransaction = state;
}

/**
 * Check if the current page is currently unblocking content.
 */
function isCurrentlyInTransaction() {
    return currentlyInTransaction;
}

export { setCurrentlyInTransaction, isCurrentlyInTransaction };
